osgUtil::AddRangeOperator Struct Reference

`#include <OperationArrayFunctor>`

Inheritance diagram for osgUtil::AddRangeOperator:

## Public Member Functions

template<typename ArrayType>
void | process (ArrayType &array)

## Public Attributes

unsigned int | _begin
unsigned int | _count
osg::Vec3d | _vector

## Member Function Documentation

## process()

template<typename ArrayType>

void osgUtil::AddRangeOperator::process | ( | ArrayType & | array | ) |

inline

References _begin, _count, _vector, and osgUtil::ConvertVec< InType, OutType, InSize, OutSize >::convert().

## Member Data Documentation

## _begin

unsigned int osgUtil::AddRangeOperator::_begin

Referenced by process().

## _count

unsigned int osgUtil::AddRangeOperator::_count

Referenced by process().

## _vector

osg::Vec3d osgUtil::AddRangeOperator::_vector

Referenced by process().

The documentation for this struct was generated from the following file:

- OperationArrayFunctor